#### Previous topic

scipy.interpolate.BarycentricInterpolator.add_xi

#### Next topic

scipy.interpolate.KroghInterpolator

# scipy.interpolate.BarycentricInterpolator.set_yi

`BarycentricInterpolator.``set_yi`(yi, axis=None)

  Update the y values to be interpolated

  The barycentric interpolation algorithm requires the calculation of weights, but these depend only on the xi. The yi can be changed at any time.

  Parameters:

  yi : array_like

  > The y coordinates of the points the polynomial should pass through. If None, the y values will be supplied later.

  axis : int, optional

  > Axis in the yi array corresponding to the x-coordinate values.